# Set-RASPerformanceMonitorSettings.md

## NAME

Set-RASPerformanceMonitorSettings

## SYNOPSIS

Updates the Performance Monitor Settings.

## SYNTAX

\*\*Set-RASPerformanceMonitorSettings \[[Enabled](#enabled-string) *(bool)*] \[[Port](#port-string) *(uint)*] \[[Server](#server-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Updates the Performance Monitor Settings.

## PARAMETERS

## Enabled (bool)

Enable or disable RAS Performance Monitor.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Server (string)

Server hosting RAS Performance Monitor database.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Port (uint)

Connection Port to the Server hosting RAS Performance Monitor database.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASPerformanceMonitorSettings -Server "server.company.dom"

Modifies the Server hosting RAS Performance Monitor database.

## RELATED LINKS

* [Get-RASPerformanceMonitorSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasperformancemonitorsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasperformancemonitorsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
